uniform sampler2D colorTexture;

varying mediump vec2 uv0;
varying mediump vec2 uv1;
varying mediump vec2 uv2;
varying mediump vec2 uv3;
varying mediump vec2 uv4;

void main()
{
	mediump vec4 color = texture2D(colorTexture, uv0);
	color += texture2D(colorTexture, uv1);
	color += texture2D(colorTexture, uv2);
	color += texture2D(colorTexture, uv3);
	color += texture2D(colorTexture, uv4);
	color *= 0.2;
	gl_FragColor = color;
}
